#!/bin/sh
# Uninstall Find & Replace It!

# -- Open script-dir-homed subshell
(
	PRODUCT_NAME=FindReplaceIt
	PRODUCT_LABEL="Find & Replace It!"

	appdir=$(dirname "$(readlink -nf $0)")
	parentdir=$(cd "${appdir}/.." ; pwd)
	cd "$appdir" || exit 1

	# Uninstall icons, menu entry, mime type associations, etc.
	"${appdir}/xdg-desktop-install.sh" -d || exit 1

	cd "$parentdir"
	rm -Rf "$appdir"

	if [ $? = 0 ] ; then
		read -p "${PRODUCT_LABEL} has been succesfully uninstalled! Press any key to continue..." TMP
	fi
	exit $?

# -- Properly close subshell
)
exit $?
